Subject: Re: bug#20662: 25.0.50; Remote copy through Dired fails

From: Manuel Uberti <[email-masked]>
Date: Wed, 27 May 2015 21:02:42 +0200

On 27/05/15 19:57, Michael Albinus wrote:
> Manuel Uberti <[email-masked]> writes:
> 
>> Hi Michael,
> 
> Hi Manuel,
> 
>> thanks for the prompt answer.
>>
>> What I usually do is open two Dired panels. On top I have my local
>> directory, and in the bottom panel the remote one. I set
>> dired-dwim-target to t in my config so the target for the operation is
>> always the other panel.
>>
>> Then I basically press C on the file I want to copy. That's it, really,
>> it doesn't get much complex than that.
>>
>> My configuration is here: https://github.com/manuel-uberti/.emacs.d
>>
>> All that is related to Dired, in particular, is in lisp/custom-files.el
>>
>> If you need me to do some other tests, please feel free to ask.
> 
> I've tried loading your init.el (after starting emacs -Q), but there was
> an error:
> 
> eval-buffer: Cannot open load file: No such file or directory, custom-functions
> 
> Obviously, I would need also your ~/.emacs.d/lisp directory. That's all
> too much for me.
> 
> Could you, please, cut your init.el after line 92? Then try the test
> again, and see whether the problem happens again.
> 
> If the problem doesn't happen, you could add the rest of the lines line
> by line, and test again. Until there is the problem. Then we would know
> the guilty package.
> 
> Another test would be to perform
> 
> (setq debug-on-error t)
> 
> prior the test. The backtrace in case of the error could tell us also
> the story. Maybe.
> 
>> Thanks again
>>
>> Manuel Uberti
> 
> Best regards, Michael.
> 

I already tried leaving out everything after line 92. To be more
precise, first I tried living out only my Dired-related settings, then
everything in my ~/.emacs.d/lisp directory. The error still happens.

I will try toggle debug-on-error on, but I am pretty sure I already
tried that way and there was no stacktrace for that error. That is why I
debugged line-by-line and narrowed the problem down to the line I
mentioned in my first message.

Manuel Uberti
<[email-masked]>